<?php
echo $event->sender->menu->run();
// echo '<div>Step ' . $event->sender->currentStep . ' of ' . $event->sender->stepCount;
echo '<h3>' . $event->sender->getStepLabel($event->step) . '</h3>';

?>

<p style="display:block">Edasi liikumiseks palun trüki sisse järgnev tekst.
	Selleks et saadav tulemus oleks usaldusväärsem, palun tee seda mitu korda.
	Antud võimalus avaneb käesoleva teksti trükkimise lõpetamisel.
	Mõõdame klahvide vajutamiseks kuluvat ning vajutuste vahele jäävat aega.
	Palun püüa hoida ühtlast trükkimistempot, st ära tee asjatuid pause.
	<br>Kui peaks juhtuma, et leht väljub fookusest või ilmub brauseri otsinguväli, siis (1.) vajuta Esc, (2.) kliki lehe keskel ja (3.) jätka trükkimist.</p>


<div id="excerptContainer"></div>

<?php

Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/keyreader.js');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/json2.js');


echo CHtml::button('Trüki veel', array(
	'id' => 'loadExcerpt',
	'style' => 'display:none;'
));


echo CHtml::tag('div', array('class' => 'form'), $form);

echo CHtml::form('', 'post', array('id' => 'errorForm'));
echo CHtml::hiddenField('PageError[message]', '', array('id' => 'errorFormMessage'));
echo CHtml::hiddenField('PageError[url]', '', array('id' => 'errorFormUrl'));
echo CHtml::hiddenField('PageError[linenumber]', '', array('id' => 'errorFormLineNumber'));
echo CHtml::hiddenField('PageError[useragent]', '', array('id' => 'errorFormUserAgent'));
echo CHtml::endForm();
?>

<script type='text/javascript'>

KeyreaderPage.run();

</script>
